/** MessageDigestによるハッシュ値の生成 */
import java.io.*;
import java.security.*;
import java.lang.*;

public class MDR {
 /** 処理を開始するメソッド */
	public static void main( String argv[] ){
        String line="";
        String all_lines="";
        try {
            FileReader in = new FileReader("file.txt");
            BufferedReader br = new BufferedReader(in);
            while ((line = br.readLine()) != null) {
                all_lines=all_lines+line;
//                System.out.println(line);
            }
            br.close();
            in.close();
        } catch (IOException e) {
            System.out.println(e);
        }
		MD5 md = new MD5();
//                System.out.print(all_lines);
        	String enc =md.encode(all_lines,"test");
                System.out.print(enc);
   	}             
}
